# Awesome

> A curated list of awesome lists


## Platforms

- [Node.js](https://github.com/sindresorhus/awesome-nodejs)
- [Frontend Development](https://github.com/dypsilon/frontend-dev-bookmarks)
- [iOS](https://github.com/vsouza/awesome-ios)
- [Android](https://github.com/JStumpp/awesome-android)
- [Hybrid Apps](https://github.com/weblancaster/awesome-hybrid)
- [Electron](https://github.com/sindresorhus/awesome-electron) *(formerly atom-shell)*


## Programming languages

- [JavaScript](https://github.com/sorrycc/awesome-javascript)
- [Swift](https://github.com/matteocrippa/awesome-swift)
- [Python](https://github.com/vinta/awesome-python)
- [Rust](https://github.com/kud1ing/awesome-rust)
- [Haskell](https://github.com/krispo/awesome-haskell)
- [Go](https://github.com/avelino/awesome-go)
- [Scala](https://github.com/lauris/awesome-scala)
- [Ruby](https://github.com/markets/awesome-ruby)
- [Clojure](https://github.com/razum2um/awesome-clojure)
- [Elixir](https://github.com/h4cc/awesome-elixir)
- [Erlang](https://github.com/drobakowski/awesome-erlang)
- [Julia](https://github.com/svaksha/Julia.jl)
- [Lua](https://github.com/LewisJEllis/awesome-lua)
- [C](https://github.com/kozross/awesome-c)
- [C/C++](https://github.com/fffaraz/awesome-cpp)
- [R](https://github.com/qinwf/awesome-R)
- [D](https://github.com/zhaopuming/awesome-d)
- [Common Lisp](https://github.com/kozross/awesome-cl)
- [Perl](https://github.com/hachiojipm/awesome-perl)
- [Groovy](https://github.com/kdabir/awesome-groovy)
- [Dart](https://github.com/yissachar/awesome-dart)
- [Java](https://github.com/akullpp/awesome-java)
- [OCaml](https://github.com/rizo/awesome-ocaml)
- [Coldfusion](https://github.com/seancoyne/awesome-coldfusion)
- [Fortran](https://github.com/rabbiabram/awesome-fortran)
- [.NET](https://github.com/quozd/awesome-dotnet)
- [PHP](https://github.com/ziadoz/awesome-php)


## Front-end development

- [JavaScript Must Watch Talks](https://github.com/bolshchikov/js-must-watch)
- [ES6 Tools](https://github.com/addyosmani/es6-tools)
- [Web Performance Optimization](https://github.com/davidsonfellipe/awesome-wpo)
- [Web Tools](https://github.com/lvwzhen/tools)
- [Above-the-fold CSS Tools](https://github.com/addyosmani/above-the-fold-css-tools)
- [React](https://github.com/enaqx/awesome-react)
- [Web Components](https://github.com/mateusortiz/webcomponents-the-right-way)
- [AngularJS](https://github.com/gianarb/awesome-angularjs)
- [Backbone](https://github.com/instanceofpro/awesome-backbone)
- [HTML5](https://github.com/diegocard/awesome-html5)
- [Sass](https://github.com/HugoGiraudel/awesome-sass)
- [SVG](https://github.com/willianjusten/awesome-svg)
- [KnockoutJS](https://github.com/dnbard/awesome-knockout)
- [Dojo Toolkit](https://github.com/peterkokot/awesome-dojo)
- [Inspiration](https://github.com/NoahBuscher/Inspire)
- [Ember](https://github.com/nmec/awesome-ember)
- [Android UI](https://github.com/wasabeef/awesome-android-ui)
- [iOS UI](https://github.com/cjwirth/awesome-ios-ui)


## Back-end development

- [Django](https://github.com/rosarior/awesome-django)
- [Play1 Framework](https://github.com/PerfectCarl/awesome-play1)
- [CakePHP](https://github.com/friendsofcake/awesome-cakephp)
- [Symfony2](https://github.com/EmanueleMinotto/awesome-symfony2)
- [Laravel](https://github.com/tuwannu/awesome-laravel)


## Computer science

- [University Courses](https://github.com/prakhar1989/awesome-courses)
- [Data Science](https://github.com/okulbilisim/awesome-datascience)
- [Machine Learning](https://github.com/josephmisiti/awesome-machine-learning)
- [Speech and Natural Language Processing](https://github.com/edobashira/speech-language-processing)
- [Linguistics](https://github.com/theimpossibleastronaut/awesome-linguistics)
- [Cryptography](https://github.com/MaciejCzyzewski/retter)
- [Computer Vision](https://github.com/jbhuang0604/awesome-computer-vision)


## Big data

- [Big Data](https://github.com/onurakpolat/awesome-bigdata)
- [Public Datasets](https://github.com/caesar0301/awesome-public-datasets)
- [Hadoop](https://github.com/youngwookim/awesome-hadoop)


## Theory

- [Papers We Love](https://github.com/papers-we-love/papers-we-love)
- [Free Programming Books](https://github.com/vhf/free-programming-books)
- [Talks](https://github.com/JanVanRyswyck/awesome-talks)
- [Algorithms](https://github.com/tayllan/awesome-algorithms)
- [Algorithm Visualizations](https://github.com/enjalot/algovis)
- [Artificial Intelligence](https://github.com/owainlewis/awesome-artificial-intelligence)
- [Search Engine Optimization](https://github.com/marcobiedermann/search-engine-optimization)


## Miscellaneous

- [GitHub Cheat Sheet](https://github.com/tiimgreen/github-cheat-sheet)
- [Git Cheat Sheet](https://github.com/ArslanBilal/Git-Cheat-Sheet)
- [Tools](https://github.com/cjbarber/ToolsOfTheTrade)
- [Game Development](https://github.com/ellisonleao/magictools)
- [Game Talks](https://github.com/hzoo/awesome-gametalks)
- [Shell](https://github.com/alebcay/awesome-shell)
- [Dotfiles](https://github.com/webpro/awesome-dotfiles)
- [Dev Env](https://github.com/jondot/awesome-devenv)
- [Docker](https://github.com/veggiemonk/awesome-docker)
- [Sublime Text](https://github.com/dreikanter/sublime-bookmarks)
- [Images](https://github.com/heyalexej/awesome-images)
- [Creative Commons Media](https://github.com/shime/creative-commons-media)
- [Database](https://github.com/numetriclabz/awesome-db)
- [Sysadmin](https://github.com/kahun/awesome-sysadmin)
- [Analytics](https://github.com/onurakpolat/awesome-analytics)
- [Vim](http://vimawesome.com)
- [Emacs](https://github.com/emacs-tw/awesome-emacs)
- [Cordova](https://github.com/busterc/awesome-cordova)
- [Free Software Testing Books](https://github.com/ligurio/free-software-testing-books/blob/master/free-software-testing-books.md)
- [Selenium](https://github.com/christian-bromann/awesome-selenium)
- [Services Engineering](https://github.com/mmcgrana/services-engineering)
- [Android Security](https://github.com/ashishb/android-security-awesome)
- [Vagrant](https://github.com/iJackUA/awesome-vagrant)
- [Awesome](https://github.com/sindresorhus/awesome)
- [Conferences](https://github.com/RichardLitt/awesome-conferences)
- [Remote Jobs](https://github.com/lukasz-madon/awesome-remote-job)
- [Styleguides](https://github.com/RichardLitt/awesome-styleguides)
- [Radio](https://github.com/kyleterry/awesome-radio)
- [SQLAlchemy](https://github.com/dahlia/awesome-sqlalchemy)
- [PCAPTools](https://github.com/caesar0301/awesome-pcaptools)
- [Continuous Delivery](https://github.com/itech001/ciandcd)
- [Fonts](https://github.com/brabadu/awesome-fonts)
- [Readme](https://github.com/matiassingers/awesome-readme)
- [Science Fiction](https://github.com/sindresorhus/awesome-scifi)
- [Fantasy](https://github.com/RichardLitt/awesome-fantasy)
- [Browser Extensions for GitHub](https://github.com/stefanbuck/awesome-browser-extensions-for-github)
- [Quick Look Plugins](https://github.com/sindresorhus/quick-look-plugins)
- [Learn to Program](https://github.com/karlhorky/learn-to-program)
- [Boilerplate Projects](https://github.com/melvin0008/awesome-projects-boilerplates)
- [Design and Development Guides](https://github.com/NARKOZ/guides)
- [Useful .htaccess Snippets](https://github.com/phanan/htaccess)
- [CLI Workshoppers/Adventures](https://github.com/therebelrobot/awesome-workshopper)
- [Slack](https://github.com/matiassingers/awesome-slack)
- [Endangered Languages](https://github.com/RichardLitt/endangered-languages)
- [JSON](https://github.com/burningtree/awesome-json)
- [Security](https://github.com/sbilly/awesome-security)
- [Free for Developers](https://github.com/ripienaar/free-for-dev)
- [Answers](https://github.com/jugoncalves/awesome-answers) *(Stack Overflow, Quora, etc)*
- [CTF](https://github.com/apsdehal/awesome-ctf)
- [Discounts for Student Developers](https://github.com/najela/discount-for-student-dev)


## License

[![CC0](http://i.creativecommons.org/p/zero/1.0/88x31.png)](http://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Sindre Sorhus](http://sindresorhus.com) has waived all copyright and related or neighboring rights to this work.
